{
  "providerId": "MethodSelfcallDirectives",
  "method": "Lorg/eclipse/uml2/uml/internal/impl/BehavioralFeatureImpl.eGet(IZZ)Ljava/lang/Object;",
  "numberOfDefinitions": 2,
  "calls": {
    "Lorg/eclipse/emf/ecore/impl/BasicEObjectImpl.eDynamicGet(IZZ)Ljava/lang/Object;": 2,
    "Lorg/eclipse/uml2/uml/internal/impl/NamedElementImpl.getClientDependencies()Lorg/eclipse/emf/common/util/EList;": 2,
    "Lorg/eclipse/uml2/uml/internal/impl/ElementImpl.eNotificationRequired()Z": 2,
    "Lorg/eclipse/emf/ecore/InternalEObject.eInverseRemove(Lorg/eclipse/emf/ecore/InternalEObject;ILjava/lang/Class;Lorg/eclipse/emf/common/notify/NotificationChain;)Lorg/eclipse/emf/common/notify/NotificationChain;": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/BehavioralFeatureImpl.getConcurrency()Lorg/eclipse/uml2/uml/CallConcurrencyKind;": 2,
    "Lorg/eclipse/uml2/uml/internal/impl/NamedElementImpl.basicGetOwner()Lorg/eclipse/uml2/uml/Element;": 2,
    "Lorg/eclipse/uml2/uml/internal/impl/BehavioralFeatureImpl.isLeaf()Z": 2,
    "Lorg/eclipse/uml2/uml/internal/operations/OperationOperations.isUnique(Lorg/eclipse/uml2/uml/Operation;)Z": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/NamedElementImpl.getNamespace()Lorg/eclipse/uml2/uml/Namespace;": 1,
    "Lorg/eclipse/uml2/uml/internal/operations/OperationOperations.isOrdered(Lorg/eclipse/uml2/uml/Operation;)Z": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/BehavioralFeatureImpl.isAbstract()Z": 2,
    "Lorg/eclipse/emf/ecore/impl/BasicEObjectImpl.eResource()Lorg/eclipse/emf/ecore/resource/Resource;": 1,
    "Lorg/eclipse/emf/ecore/impl/BasicEObjectImpl.eResolveProxy(Lorg/eclipse/emf/ecore/InternalEObject;)Lorg/eclipse/emf/ecore/EObject;": 2,
    "Lorg/eclipse/emf/ecore/impl/ENotificationImpl.\u003cinit\u003e(Lorg/eclipse/emf/ecore/InternalEObject;IILjava/lang/Object;Ljava/lang/Object;)V": 2,
    "Lorg/eclipse/uml2/uml/internal/impl/BehavioralFeatureImpl.getFeaturingClassifiers()Lorg/eclipse/emf/common/util/EList;": 1,
    "Lorg/eclipse/emf/ecore/impl/MinimalEObjectImpl$Container.eInternalContainer()Lorg/eclipse/emf/ecore/InternalEObject;": 1,
    "Lorg/eclipse/uml2/uml/internal/operations/OperationOperations.getType(Lorg/eclipse/uml2/uml/Operation;)Lorg/eclipse/uml2/uml/Type;": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/NamedElementImpl.getOwner()Lorg/eclipse/uml2/uml/Element;": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/BehavioralFeatureImpl.getOwnedParameterSets()Lorg/eclipse/emf/common/util/EList;": 2,
    "Lorg/eclipse/uml2/uml/internal/impl/NamespaceImpl.getOwnedRules()Lorg/eclipse/emf/common/util/EList;": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/NamedElementImpl.getNameExpression()Lorg/eclipse/uml2/uml/StringExpression;": 2,
    "Lorg/eclipse/uml2/common/util/CacheAdapter.get(Lorg/eclipse/emf/ecore/resource/Resource;Lorg/eclipse/emf/ecore/EObject;Ljava/lang/Object;)Ljava/lang/Object;": 1,
    "Lorg/eclipse/emf/ecore/util/EObjectResolvingEList.\u003cinit\u003e(Ljava/lang/Class;Lorg/eclipse/emf/ecore/InternalEObject;I)V": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/NamespaceImpl.getMembers()Lorg/eclipse/emf/common/util/EList;": 2,
    "Lorg/eclipse/uml2/uml/internal/impl/NamespaceImpl.getImportedMembers()Lorg/eclipse/emf/common/util/EList;": 2,
    "Lorg/eclipse/uml2/uml/internal/impl/NamespaceImpl.getElementImports()Lorg/eclipse/emf/common/util/EList;": 2,
    "Lorg/eclipse/emf/ecore/impl/EModelElementImpl.getEAnnotations()Lorg/eclipse/emf/common/util/EList;": 2,
    "Lorg/eclipse/emf/ecore/util/EObjectContainmentEList$Resolving.\u003cinit\u003e(Ljava/lang/Class;Lorg/eclipse/emf/ecore/InternalEObject;I)V": 1,
    "Lorg/eclipse/uml2/common/util/SubsetSupersetEObjectResolvingEList.\u003cinit\u003e(Ljava/lang/Class;Lorg/eclipse/emf/ecore/InternalEObject;I[I[I)V": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/BehavioralFeatureImpl.getRedefinedElements()Lorg/eclipse/emf/common/util/EList;": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/NamespaceImpl.getPackageImports()Lorg/eclipse/emf/common/util/EList;": 2,
    "Lorg/eclipse/emf/ecore/impl/BasicEObjectImpl.eContainer()Lorg/eclipse/emf/ecore/EObject;": 1,
    "Lorg/eclipse/uml2/common/util/CacheAdapter.put(Lorg/eclipse/emf/ecore/resource/Resource;Lorg/eclipse/emf/ecore/EObject;Ljava/lang/Object;Ljava/lang/Object;)Ljava/lang/Object;": 1,
    "Lorg/eclipse/emf/ecore/InternalEObject.eInverseAdd(Lorg/eclipse/emf/ecore/InternalEObject;ILjava/lang/Class;Lorg/eclipse/emf/common/notify/NotificationChain;)Lorg/eclipse/emf/common/notify/NotificationChain;": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/ElementImpl.eNotify(Lorg/eclipse/emf/common/notify/Notification;)V": 2,
    "Lorg/eclipse/uml2/uml/internal/impl/NamespaceImpl.getOwnedElements()Lorg/eclipse/emf/common/util/EList;": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/BehavioralFeatureImpl.getRedefinitionContexts()Lorg/eclipse/emf/common/util/EList;": 1,
    "Lorg/eclipse/emf/ecore/util/EObjectContainmentWithInverseEList$Resolving.\u003cinit\u003e(Ljava/lang/Class;Lorg/eclipse/emf/ecore/InternalEObject;II)V": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/BehavioralFeatureImpl.getOwnedMembers()Lorg/eclipse/emf/common/util/EList;": 2,
    "Lorg/eclipse/uml2/uml/internal/impl/NamedElementImpl.getVisibility()Lorg/eclipse/uml2/uml/VisibilityKind;": 2,
    "Lorg/eclipse/uml2/common/util/DerivedUnionEObjectEList.\u003cinit\u003e(Ljava/lang/Class;Lorg/eclipse/emf/ecore/InternalEObject;I[I)V": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/NamedElementImpl.basicGetNameExpression()Lorg/eclipse/uml2/uml/StringExpression;": 2,
    "Lorg/eclipse/emf/ecore/impl/MinimalEObjectImpl.eContainerFeatureID()I": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/ElementImpl.getCacheAdapter()Lorg/eclipse/uml2/common/util/CacheAdapter;": 1,
    "Lorg/eclipse/uml2/uml/internal/operations/OperationOperations.getUpper(Lorg/eclipse/uml2/uml/Operation;)I": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/BehavioralFeatureImpl.getRaisedExceptions()Lorg/eclipse/emf/common/util/EList;": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/BehavioralFeatureImpl.getMethods()Lorg/eclipse/emf/common/util/EList;": 2,
    "Lorg/eclipse/uml2/uml/internal/impl/NamedElementImpl.basicGetNamespace()Lorg/eclipse/uml2/uml/Namespace;": 2,
    "Lorg/eclipse/uml2/uml/internal/impl/BehavioralFeatureImpl.getOwnedParameters()Lorg/eclipse/emf/common/util/EList;": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/ElementImpl.getOwnedComments()Lorg/eclipse/emf/common/util/EList;": 2,
    "Lorg/eclipse/uml2/uml/internal/operations/OperationOperations.getLower(Lorg/eclipse/uml2/uml/Operation;)I": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/BehavioralFeatureImpl.isStatic()Z": 2,
    "Lorg/eclipse/uml2/common/util/SubsetSupersetEObjectContainmentWithInverseEList$Resolving.\u003cinit\u003e(Ljava/lang/Class;Lorg/eclipse/emf/ecore/InternalEObject;I[I[II)V": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/NamedElementImpl.getQualifiedName()Ljava/lang/String;": 2,
    "Lorg/eclipse/uml2/uml/internal/impl/NamedElementImpl.getName()Ljava/lang/String;": 2
  }
}